# $Revision: 1.39.2.2 $, $Date: 2007/03/18 12:15:19 $
#
# Conditional build:
%bcond_with	javascript	# enable experimental JavaScript XSLT extension
#
Summary:	XSL Transformations Processor
Summary(pl):	Procesor Transformacji XSL
Summary(pt_BR):	Processador de XSL
Name:		sablotron
Version:	1.0.2
Release:	2
License:	MPL v1.1 or GPL
Group:		Applications/Publishing/XML
#Source0Download:	http://www.gingerall.com/charlie/ga/xml/d_sab.xml
Source0:	http://download-1.gingerall.cz/download/sablot/Sablot-%{version}.tar.gz
# Source0-md5:	12243bc21b149cad89e98bc89f9c103e
Patch0:		%{name}-link.patch
URL:		http://www.gingerall.com/charlie/ga/xml/p_sab.xml
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	expat-devel >= 1.95.6-2
%{?with_javascript:BuildRequires:	js-devel}
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
Obsoletes:	libsablotron0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sablotron is an attempt to develop fast, compact and portable XSLT
processor. We need such a processor for Charlie, so we have decided to
create it. Sablotron is an open project; other users and developers
are encouraged to use it or to help us testing or improving it. The
goal of this project is to create a reliable and fast XSLT processor
conforming to the W3C specification, which is available for public and
can be used as a base for multi-platform XML data distribution
systems.

%description -l pl
Sablotron jest prb stworzenia szybkiego, maego i przenonego
procesora XSLT. Potrzebowalimy takiego procesora dla projektu
Charlie, wic zdecydowalimy si stworzy odpowiedni. Sablotron jest
projektem otwartym. Inni uytkownicy i programici mog partycypowa
przy tworzeniu, ulepszaniu, a take jego testowaniu. Celem tego
projektu jest stworzenie niezawodnego i szybkiego procesora XSLT,
ktry bdzie zgodny z normami W3C oraz dostpny wszystkim tak, by
kady mg go uy jako podstaw wieloplatformowych systemw
rozpowszechniania danych w standardzie XML.

%description -l pt_BR
Salotron  um processador XSL implementado em C++.

%package apidocs
Summary:	Sablotron API documetation
Summary(pl):	Dokumentacja API Sablotron
Group:		Documentation

%description apidocs
Sablotron API documetation.

%description apidocs -l pl
Dokumentacja API Sablotron.

%package devel
Summary:	Header files for sablotron library
Summary(es):	Archivos de inclusin del sablotron
Summary(pl):	Pliki nagwkowe biblioteki sablotron
Summary(pt_BR):	Arquivos de incluso do sablotron
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95.6-2
%{?with_javascript:Requires:	js-devel}
Requires:	libstdc++-devel
Obsoletes:	libsablotron0-devel

%description devel
Sablotron header files.

%description devel -l es
Archivos de inclusin del sablotron.

%description devel -l pl
Pliki nagwkowe projektu Sablotron.

%description devel -l pt_BR
Salotron  um processador XSL implementado em C++.

Arquivos de incluso do sablotron.

%package static
Summary:	Sablotron static library
Summary(pl):	Biblioteka statyczna Sablotrona
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com a biblioteca sablotron
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Sablotron static library.

%description static -l es
Bibliotecas estticas del sablotron.

%description static -l pl
Biblioteka statyczna projektu Sablotron.

%prep
%setup -q -n Sablot-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%{?with_javascript:CPPFLAGS="-I/usr/include/js"}
%configure \
	%{?with_javascript:--with-js}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/doc/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README RELEASE doc/misc/{DEBUGGER,NOTES} %{?with_javascript:README_JS}
%attr(755,root,root) %{_bindir}/sabcmd
%attr(755,root,root) %{_libdir}/libsablot.so.*.*.*
%{_mandir}/man1/*

%files apidocs
%defattr(644,root,root,755)
%doc doc/apidoc/{sablot,sxp} %{?with_javascript:doc/apidoc/jsdom-ref}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sablot-config
%attr(755,root,root) %{_libdir}/libsablot.so
%{_libdir}/libsablot.la
%{_includedir}/s*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsablot.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sablotron.spec,v $
Revision 1.39.2.2  2007/03/18 12:15:19  glen
- fix lang code

Revision 1.39.2.1  2007/03/18 11:54:46  glen
- separate -apidocs, rel 2

Revision 1.39  2006/05/27 16:29:41  qboosh
- added link patch and devel deps
- updated javascript bcond, moved api docs to -devel

Revision 1.38  2006/05/27 12:38:33  ciesiel
- upgraded to version 1.0.2

Revision 1.37  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.36  2004/07/22 09:26:40  qboosh
- quote __cc

Revision 1.35  2004/07/22 09:25:14  qboosh
- strict deps, cosmetics

Revision 1.34  2004/07/20 13:11:59  qboosh
- updated URL, License form unification

Revision 1.33  2004/05/23 15:42:02  qboosh
- updated Source0 URL

Revision 1.32  2003/12/14 02:05:32  qboosh
- updated to 1.0.1
- updated expat patch, removed obsolete ac_fix,am15 patches
- new-style bcond

Revision 1.31  2003/11/11 01:12:30  ankry
- caps unification

Revision 1.30  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.29  2003/05/25 06:26:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/03/13 21:28:27  qboosh
- removed outdated sablot_man.html, use docs supplied in package
- added _with_javascript bcond

Revision 1.27  2003/03/11 12:38:52  qboosh
- 0.97, updated am15 and expat patches
- BR: perl-XML-Parser and expat with fixed expat.h

Revision 1.26  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/09/15 13:11:42  kloczek
- updated to 0.96,
- new expat patch (fix building with latest expat).

Revision 1.24  2002/09/13 17:21:01  kloczek
- libs*.so is back to devel,
- use new %doc and added using more macros.

Revision 1.23  2002/09/11 23:10:15  mwinkler
- moved symbolic link libsablot.so to main package. Fixed problems with install apache-mod_xslt
- STBR

Revision 1.22  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.21  2002/05/21 23:14:40  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/04/24 22:12:27  qboosh
- updated to 0.90 (mainly bugfixes), updated am15 and expat patches

Revision 1.19  2002/03/07 13:50:20  wiget
- libsablot is linked with libexpat (solve #115), relase 2

Revision 1.18  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/05 12:05:27  kloczek
- updated to 0.82 (bugfix release).

Revision 1.15  2002/01/20 00:46:23  kloczek
- updated to 0.81 (new stable release),
- use CXX=%{__cc} so now sablotron isn't will be linked with libstdc++ because
  libsablotron do not uses any libstdc++ abilities,
- as consequense above: remove libstdc++-devel from BuildRequires,
- merge Conectiva translations,
- libsablotron0{,-devel} added to Obsoletes for allow upgrade from MDK,
- added lib*.la to devel %files list.

Revision 1.14  2002/01/18 02:14:51  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/08 15:37:32  kloczek
- updated to 0.71,
- added ac and am 1.5 dfixes,
- added -fno-rtti -fno-exceptions to CXXFLAGS.

Revision 1.12  2001/10/30 04:24:14  kloczek
- spec adapterized.

Revision 1.11  2001/10/03 16:40:04  filon
- changed req %{name} for %{name}-devel in static
- release 2

Revision 1.10  2001/06/17 22:07:59  misiek
- updated to 0.60
- regenerate libtool and auto* stuff

Revision 1.9  2001/04/30 16:05:30  kloczek
- added using %{rpmcflags} macro.

Revision 1.8  2001/02/12 02:12:16  kloczek
- fix passing $RPM_OPT_FLAGS.

Revision 1.7  2000/12/27 19:22:42  wrobell
- updated polish description translations
- added some documentation, so release up

Revision 1.6  2000/12/22 18:04:54  wrobell
- expat is in another spec file
- static subpackage

Revision 1.5  2000/10/10 20:08:01  kloczek
- fixed %files.

Revision 1.4  2000/10/10 20:03:07  kloczek
- adapterized and fiew cosmetics.

Revision 1.3  2000/09/30 21:40:34  klakier
- fixed perms on expat

Revision 1.2  2000/09/06 12:25:39  wrobell
- expat-devel should have the same version as expat

Revision 1.1  2000/07/21 15:43:58  klakier
- initial version
